Автор Тема: Браузер Спутник 5.3.5437.0, не устанавливается.  (Прочитано 5023 раз)

Оффлайн Maxik

  • Давно тут
  • **
  • Сообщений: 247
    • Вегетарианское сообщество сурового климата.
    • Email
Здравствуйте!
Версия позиционируется как для Альт 9.
Выдаются ошибки.

Очистка / удаление...
1: sputnik-browser-stable-4.4.4284.0-1  ################################# [100%]
Завершено.
[0530/015837.697928:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
[0530/015838.462281:ERROR:ssl_client_socket_impl.cc(971)] handshake failed; returned -1, SSL error code 1, net_error -202


-------------

# ./web-installer-5.3.5437.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия menu уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 487 не будет обновлено.
[0530/020759.451560:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!

С уважением, Максим.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 691
    • Домашняя страница
    • Email
Что ответила техподдержка Спутник Браузер?
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 810
А если сделать touch /opt/sputnik-browser/config.dat

Оффлайн Maxik

  • Давно тут
  • **
  • Сообщений: 247
    • Вегетарианское сообщество сурового климата.
    • Email
А если сделать touch /opt/sputnik-browser/config.dat
[0530/223419.252142:ERROR:branding_config.cc(229)] Configuration file is empty
[0530/223421.270691:ERROR:branding_config.cc(229)] Configuration file is empty
[0530/223421.270942:ERROR:sputnik_environment.cc(1301)] [Environment::CleaningConfigDat]: [JSON] Ключ не найден или не является словарем - branding
[0530/223425.690503:ERROR:ssl_client_socket_impl.cc(971)] handshake failed; returned -1, SSL error code 1, net_error -202
С уважением, Максим.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Он устанавливается, но через пень-колоду.

alt-p9-xfce-sysv-20210525-x86_64 beta (pre-release) лайв
Лог установки sputnik-browser-stable-5.3.5437.0 из web-installer-5.3.5437.0.run
[root@localhost ~]# cd /home/altlinux/Загрузки/
[root@localhost Загрузки]# sudo sh ./web-installer-5.3.5437.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
E: Невозможно найти пакет menu
[0530/214702.993136:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
[0530/214903.839727:ERROR:sputnik_network.cc(924)] [Network::LoadData]: Загружено байт: 0 Ожидалось байт: 69319522
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
E: Невозможно найти пакет /tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm
[0530/214903.989045:ERROR:branding_config.cc(366)] Configuration file "config.dat" is not exist!
[0530/214903.989069:ERROR:sputnik_environment.cc(1346)] [Environment::ReplaceBrandigFile]: [JSON] Ключ не найден или не является словарем - branding
[0530/214903.989082:ERROR:sputnik_updater.cc(170)] [Updater::Update]: Формирование brandig.dat: Не успешно.
[root@localhost Загрузки]#
[root@localhost Загрузки]# apt-get update
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64 release [1954B]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64-i586 release [1175B]
Получено: 3 http://mirror.yandex.ru p9/branch/noarch release [1545B]
Получено 4674B за 0s (18,3kB/s).                   
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic pkglist [19,5MB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic release [135B]                                                           
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64-i586/classic pkglist [14,4MB]                                                   
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64-i586/classic release [140B]                                                     
Получено: 5 http://mirror.yandex.ru p9/branch/noarch/classic pkglist [5443kB]                                                         
Получено: 6 http://mirror.yandex.ru p9/branch/noarch/classic release [135B]                                                           
Получено 39,3MB за 20s (1871kB/s).                                                                                                   
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
[root@localhost Загрузки]#
[root@localhost Загрузки]# apt-get install sputnik-browser-preinstall
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  libsox-fmt-alsa libsox-fmt-oss libsox-fmt-sndfile libsox-fmt-vorbis libsox3 lsb-release menu menu-messages sound_handler sox-base
Следующие НОВЫЕ пакеты будут установлены:
  libsox-fmt-alsa libsox-fmt-oss libsox-fmt-sndfile libsox-fmt-vorbis libsox3 lsb-release menu menu-messages sound_handler sox-base
  sputnik-browser-preinstall
0 будет обновлено, 11 новых установлено, 0 пакетов будет удалено и 6 не будет обновлено.
Необходимо получить 2882kB архивов.
После распаковки потребуется дополнительно 13,7MB дискового пространства.
Продолжить? [Y/n]
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic libsox3 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [234kB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-alsa 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [12,7kB]
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-oss 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [11,0kB]
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-sndfile 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [12,2kB]
Получено: 5 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-vorbis 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [11,8kB]
Получено: 6 http://mirror.yandex.ru p9/branch/noarch/classic lsb-release 2.0-alt5:sisyphus+220330.100.1.1@1548946493 [10,5kB]
Получено: 7 http://mirror.yandex.ru p9/branch/x86_64/classic sox-base 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [92,7kB]
Получено: 8 http://mirror.yandex.ru p9/branch/noarch/classic sound_handler 0.6.0-alt1@1335188498 [3852B]
Получено: 9 http://mirror.yandex.ru p9/branch/noarch/classic menu-messages 0.3.3-alt1@1366236881 [2168kB]
Получено: 10 http://mirror.yandex.ru p9/branch/x86_64/classic menu 2.1.41-alt22.qa1@1460431648 [322kB]
Получено: 11 http://mirror.yandex.ru p9/branch/x86_64/classic sputnik-browser-preinstall 4.1.2537.0-alt2:sisyphus+227146.300.3.1@1555320920 [2812B]
Получено 2882kB за 1s (1862kB/s).                 
Совершаем изменения...
Подготовка...                           ######################################################################################## [100%]
Обновление / установка...
 1: libsox3-14.4.2-alt3                 ######################################################################################## [  9%]
 2: libsox-fmt-alsa-14.4.2-alt3         ######################################################################################## [ 18%]
 3: libsox-fmt-oss-14.4.2-alt3          ######################################################################################## [ 27%]
 4: libsox-fmt-sndfile-14.4.2-alt3      ######################################################################################## [ 36%]
 5: libsox-fmt-vorbis-14.4.2-alt3       ######################################################################################## [ 45%]
 6: sox-base-14.4.2-alt3                ######################################################################################## [ 55%]
 7: sound_handler-0.6.0-alt1            ######################################################################################## [ 64%]
 8: menu-messages-0.3.3-alt1            ######################################################################################## [ 73%]
 9: menu-2.1.41-alt22.qa1               ######################################################################################## [ 82%]
10: lsb-release-2.0-alt5                ######################################################################################## [ 91%]
11: sputnik-browser-preinstall-4.1.2537.######################################################################################## [100%]
Завершено.
[root@localhost Загрузки]#
[root@localhost Загрузки]# apt-get update
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64 release [1954B]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64-i586 release [1175B]         
Получено: 3 http://mirror.yandex.ru p9/branch/noarch release [1545B]               
Получено: 4 http://browser-rpm.sputnik.ru x86_64 release [426B]                     
Получено 5100B за 0s (29,2kB/s).                         
Получено: 1 http://browser-rpm.sputnik.ru x86_64/classic pkglist [984B]
Найдено http://mirror.yandex.ru p9/branch/x86_64/classic pkglist
Получено: 2 http://browser-rpm.sputnik.ru x86_64/classic release [126B]
Найдено http://mirror.yandex.ru p9/branch/x86_64/classic release
Найдено http://mirror.yandex.ru p9/branch/x86_64-i586/classic pkglist
Найдено http://mirror.yandex.ru p9/branch/x86_64-i586/classic release
Найдено http://mirror.yandex.ru p9/branch/noarch/classic pkglist
Найдено http://mirror.yandex.ru p9/branch/noarch/classic release
Получено 1110B за 0s (9088B/s).
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
[root@localhost Загрузки]#
[root@localhost Загрузки]# sudo sh ./web-installer-5.3.5437.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия menu уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 6 не будет обновлено.
[0530/215118.657168:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано sputnik-browser-stable для '/tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm'
Следующие дополнительные пакеты будут установлены:
  libappindicator-gtk3 libdbusmenu libdbusmenu-gtk3 libindicator-gtk3 sputnik-browser-stable
Следующие НОВЫЕ пакеты будут установлены:
  libappindicator-gtk3 libdbusmenu libdbusmenu-gtk3 libindicator-gtk3 sputnik-browser-stable
0 будет обновлено, 5 новых установлено, 0 пакетов будет удалено и 6 не будет обновлено.
Необходимо получить 145kB/69,5MB архивов.
После распаковки потребуется дополнительно 225MB дискового пространства.
Продолжить? [Y/n]
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic libdbusmenu 16.04.0-alt1@1458417811 [40,9kB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic libdbusmenu-gtk3 16.04.0-alt1@1458417811 [27,6kB]
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64/classic libindicator-gtk3 12.10.1-alt1_11@1506672709 [57,1kB]
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64/classic libappindicator-gtk3 12.10.0-alt11:sisyphus+221027.100.2.2@1549709764 [19,6kB]
Получено 145kB за 0s (405kB/s).           
Совершаем изменения...
Подготовка...                           ######################################################################################## [100%]
Обновление / установка...
1: libdbusmenu-16.04.0-alt1             ######################################################################################## [ 20%]
2: libdbusmenu-gtk3-16.04.0-alt1        ######################################################################################## [ 40%]
3: libindicator-gtk3-12.10.1-alt1_11    ######################################################################################## [ 60%]
4: libappindicator-gtk3-12.10.0-alt11   ######################################################################################## [ 80%]
5: sputnik-browser-stable-5.3.5437.0-1  ######################################################################################## [100%]
Start sputnik_client.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client.timer → /lib/systemd/system/sputnik_client.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Start sputnik_client_check.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client_check.timer → /lib/systemd/system/sputnik_client_check.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Завершено.
$ rpm -qi --changelog sputnik-browser-stable
Name        : sputnik-browser-stable
Version     : 5.3.5437.0
Release     : 1
Architecture: x86_64
Install Date: Вс 30 мая 2021 21:53:09
Group       : Applications/Internet
Size        : 224761763
License     : Multiple, see http://www.sputnik.ru/
Signature   : (none)
Source RPM  : sputnik-browser-stable-5.3.5437.0-1.src.rpm
Build Date  : Ср 12 мая 2021 20:02:30
Build Host  : bs-browser-docker.srv.pv.km
Relocations : /opt
Packager    : Sputnik Linux Team <help@corp.sputnik.ru>
Vendor      : Sputnik.ru
URL         : http://www.sputnik.ru/
Summary     : Sputnik Browser
Description :


Sputnik is a browser that combines a minimal design with sophisticated technology to make the web faster, safer, and easier.
$ rpm -ql --changelog sputnik-browser-stable | grep 'browser$\|desktop$\|config.dat'
/opt/sputnik-browser
/opt/sputnik-browser/browser
/opt/sputnik-browser/config.dat
/opt/sputnik-browser/sputnik-browser
/usr/share/applications/sputnik-browser.desktop
$ apt-cache depends sputnik-browser-stable
sputnik-browser-stable-5.3.5437.0-1@1620838950
  Требует: ca-certificates
  Требует: <libappindicator3.so.1()(64bit)>
    libappindicator-gtk3-12.10.0-alt11:sisyphus+221027.100.2.2@1549709764
  Требует: <liberation-fonts>
    fonts-ttf-liberation-2.00.4-alt1:sisyphus+221156.100.1.1@1549796967
  Требует: <libnss3.so(NSS_3.22)(64bit)>
    libnss-3.56.0-alt1:p9+254920.30.20.1@1601657858
  Требует: <libssl3.so(NSS_3.28)(64bit)>
    libnss-3.56.0-alt1:p9+254920.30.20.1@1601657858
  Требует: <libvulkan.so.1()(64bit)>
    libvulkan1-1.2.141-alt1.1:p9+260591.340.12.1@1606214283
  Требует: wget
  Требует: xdg-utils
  Для установки требует: </usr/sbin/update-alternatives>
    alternatives-0.5.1-alt1:sisyphus+226946.100.1.1@1554830426
  Для установки требует: vixie-cron
  Для установки требует: service
  Для установки требует: coreutils
  Для установки требует: grep
  Для установки требует: rpm
  Для установки требует: sed
  Для установки требует: systemd-utils
  Для установки требует: menu
  Для установки требует: </bin/sh>
    sh-4.4.23-alt1:sisyphus+221902.500.4.1@1550587242

И запускается:
$ /opt/sputnik-browser/sputnik-browser --version
Sputnik 5.3.5437.0 b2c-common
$ /opt/sputnik-browser/sputnik-browser
[4481:4481:0530/215512.064052:ERROR:sandbox_linux.cc(374)] InitializeSandbox() called with multiple threads in process gpu-process.
[4449:4466:0530/215512.465907:ERROR:service_certificate_installer.cc(360)] [ServiceCertificateInstaller::Launcher::DoDetectLaunched]: can't launch certificate_installer process... retry_count=0
[4449:4449:0530/215517.464081:ERROR:remote_configuration_policy_loader.cc(140)] Received configuration contains invalid policy value (value should be serialized JSON object.
_


Но гадский установщик браузера, хочет root
# sudo sh ./web-installer-5.3.5437.0.run
root is not in the sudoers file.  This incident will be reported.

в sudoers
# grep '^ root' /etc/sudoers
 root ALL=(ALL) ALL

А ключи от квартиры ему не надо?
« Последнее редактирование: 30.05.2021 23:10:21 от Speccyfighter »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Чуть по-другому, на чистую систему

alt-p9-xfce-sysv-20210525-x86_64 beta (pre-release) лайв
Лог установки sputnik-browser-stable-5.3.5437.0 из web-installer-5.3.5437.0.run
# sed -i 's/^# root/ root/' /etc/sudoers
# grep '^ root' /etc/sudoers
 root ALL=(ALL) ALL
# apt-get update
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64 release [1954B]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64-i586 release [1175B]
Получено: 3 http://mirror.yandex.ru p9/branch/noarch release [1545B]
Получено 4674B за 0s (20,5kB/s).                   
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic pkglist [19,5MB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic release [135B]                                                           
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64-i586/classic pkglist [14,4MB]                                                   
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64-i586/classic release [140B]                                                     
Получено: 5 http://mirror.yandex.ru p9/branch/noarch/classic pkglist [5443kB]                                                         
Получено: 6 http://mirror.yandex.ru p9/branch/noarch/classic release [135B]                                                           
Получено 39,3MB за 13s (2848kB/s).                                                                                                   
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
$ cd /home/altlinux/Загрузки/
$ sudo sh ./web-installer-5.3.5437.0.run

Мы полагаем, что ваш системный администратор изложил вам основы
безопасности. Как правило, всё сводится к трём следующим правилам:

    №1) Уважайте частную жизнь других.
    №2) Думайте, прежде что-то вводить.
    №3) С большой властью приходит большая ответственность.

Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  libsox-fmt-alsa libsox-fmt-oss libsox-fmt-sndfile libsox-fmt-vorbis libsox3 menu-messages sound_handler sox-base
Следующие НОВЫЕ пакеты будут установлены:
  libsox-fmt-alsa libsox-fmt-oss libsox-fmt-sndfile libsox-fmt-vorbis libsox3 menu menu-messages sound_handler sox-base
0 будет обновлено, 9 новых установлено, 0 пакетов будет удалено и 6 не будет обновлено.
Необходимо получить 2868kB архивов.
После распаковки потребуется дополнительно 13,7MB дискового пространства.
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic libsox3 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [234kB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-alsa 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [12,7kB]
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-oss 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [11,0kB]
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-sndfile 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [12,2kB]
Получено: 5 http://mirror.yandex.ru p9/branch/x86_64/classic libsox-fmt-vorbis 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [11,8kB]
Получено: 6 http://mirror.yandex.ru p9/branch/x86_64/classic sox-base 14.4.2-alt3:sisyphus+223340.100.1.2@1551469050 [92,7kB]
Получено: 7 http://mirror.yandex.ru p9/branch/noarch/classic sound_handler 0.6.0-alt1@1335188498 [3852B]
Получено: 8 http://mirror.yandex.ru p9/branch/noarch/classic menu-messages 0.3.3-alt1@1366236881 [2168kB]
Получено: 9 http://mirror.yandex.ru p9/branch/x86_64/classic menu 2.1.41-alt22.qa1@1460431648 [322kB]
Получено 2868kB за 1s (1947kB/s).
Совершаем изменения...
Подготовка...                           ######################################################################################## [100%]
Обновление / установка...
1: libsox3-14.4.2-alt3                  ######################################################################################## [ 11%]
2: libsox-fmt-alsa-14.4.2-alt3          ######################################################################################## [ 22%]
3: libsox-fmt-oss-14.4.2-alt3           ######################################################################################## [ 33%]
4: libsox-fmt-sndfile-14.4.2-alt3       ######################################################################################## [ 44%]
5: libsox-fmt-vorbis-14.4.2-alt3        ######################################################################################## [ 56%]
6: sox-base-14.4.2-alt3                 ######################################################################################## [ 67%]
7: sound_handler-0.6.0-alt1             ######################################################################################## [ 78%]
8: menu-messages-0.3.3-alt1             ######################################################################################## [ 89%]
9: menu-2.1.41-alt22.qa1                ######################################################################################## [100%]
Завершено.
[0530/232622.024983:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано sputnik-browser-stable для '/tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm'
Следующие дополнительные пакеты будут установлены:
  libappindicator-gtk3 libdbusmenu libdbusmenu-gtk3 libindicator-gtk3 sputnik-browser-stable
Следующие НОВЫЕ пакеты будут установлены:
  libappindicator-gtk3 libdbusmenu libdbusmenu-gtk3 libindicator-gtk3 sputnik-browser-stable
0 будет обновлено, 5 новых установлено, 0 пакетов будет удалено и 6 не будет обновлено.
Необходимо получить 145kB/69,5MB архивов.
После распаковки потребуется дополнительно 225MB дискового пространства.
Продолжить? [Y/n]
Получено: 1 http://mirror.yandex.ru p9/branch/x86_64/classic libdbusmenu 16.04.0-alt1@1458417811 [40,9kB]
Получено: 2 http://mirror.yandex.ru p9/branch/x86_64/classic libdbusmenu-gtk3 16.04.0-alt1@1458417811 [27,6kB]
Получено: 3 http://mirror.yandex.ru p9/branch/x86_64/classic libindicator-gtk3 12.10.1-alt1_11@1506672709 [57,1kB]
Получено: 4 http://mirror.yandex.ru p9/branch/x86_64/classic libappindicator-gtk3 12.10.0-alt11:sisyphus+221027.100.2.2@1549709764 [19,6kB]
Получено 145kB за 0s (518kB/s).           
Совершаем изменения...
Подготовка...                           ######################################################################################## [100%]
Обновление / установка...
1: libdbusmenu-16.04.0-alt1             ######################################################################################## [ 20%]
2: libdbusmenu-gtk3-16.04.0-alt1        ######################################################################################## [ 40%]
3: libindicator-gtk3-12.10.1-alt1_11    ######################################################################################## [ 60%]
4: libappindicator-gtk3-12.10.0-alt11   ######################################################################################## [ 80%]
5: sputnik-browser-stable-5.3.5437.0-1  ######################################################################################## [100%]
Start sputnik_client.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client.timer → /lib/systemd/system/sputnik_client.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Start sputnik_client_check.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client_check.timer → /lib/systemd/system/sputnik_client_check.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Завершено.

# sed -i 's/^ root/# root/' /etc/sudoers
# grep '^# root' /etc/sudoers
# root ALL=(ALL) ALL

$ rpm -qa | grep sputnik
sputnik-browser-stable-5.3.5437.0-1.x86_64
$ sputnik-browser --version
Sputnik 5.3.5437.0 b2c-common
« Последнее редактирование: 30.05.2021 23:48:11 от Speccyfighter »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Проблема в том, что в web-инсталлере много sudo-команд:
$ pwd
/home/altlinux/Загрузки
$ ls -l ./web-installer*
-rw-r--r-- 1 altlinux altlinux 6539205 мая 30 23:21 ./web-installer-5.3.5437.0.run
$ mkdir spitnik-run
$ cd spitnik-run
$ sh ../web-installer-5.3.5437.0.run --noexec --target ./
Creating directory ./
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
$ grep -r sudo ./
./install.sh:sudo apt-get install -y menu
./install.sh:sudo /opt/sputniklab/sputnikclient/bin/sputnik_client --AppID=browser-b2c-alt9-id --Channel=b2c-common --RemoteConfigurationServerUrl=https://sputnik-lab.com/api-config/settings/get --CompanyID=sputnik-lab-b2c-common --BrandCode=SPTK --force-uninstall --auto-import
Двоичный файл ./sputnik_client совпадает
./makeself-install-script.sh:if [ -d "$BASE_DIR" ]; then sudo rm -Rf $BASE_DIR; fi
./makeself-install-script.sh:sudo mkdir -p $INSTALL_DIR
./makeself-install-script.sh:sudo cp $INSTALL_SCRIPT $INSTALL_DIR
./makeself-install-script.sh:sudo cp $CLIENT_NAME $INSTALL_DIR
./makeself-install-script.sh:sudo chmod -R 757 $BASE_DIR
./makeself-install-script.sh:sudo $INSTALL_DIR/install.sh

Интерес к этой теме был только в плане предстоящего релиза alt-p9-xfce-sysv и его функциональности с точки зрения простого пользователя:
Возможна ли установка браузера Спутник последней стабильной версии в xfce-sysv с минимумом усилий для пользователя.

Но эти юниты в системах на sysv по понятным причинам работать не будут:
$ cat /lib/systemd/system/sputnik_client.timer
[Unit]
Description=sputnik_client

[Timer]
OnActiveSec=1min
OnUnitActiveSec=30min

[Install]
WantedBy=timers.target
$ cat /lib/systemd/system/sputnik_client_check.timer
[Unit]
Description=sputnik_client_check

[Timer]
OnActiveSec=3s
OnUnitActiveSec=3s

[Install]
WantedBy=timers.target
« Последнее редактирование: 31.05.2021 00:31:56 от Speccyfighter »

Оффлайн ALexeMiK

  • Давно тут
  • **
  • Сообщений: 117
  • Христос воскресе! Радость наша...
    • Страница в ВК
    • Email
Аналогичная проблема
И что делать?
Христос воскресе! Радость наша.

Оффлайн Maxik

  • Давно тут
  • **
  • Сообщений: 247
    • Вегетарианское сообщество сурового климата.
    • Email
Что ответила техподдержка Спутник Браузер?
Ничего не пришло от них.
С уважением, Максим.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Аналогичная проблема
И что делать?

Я же писал, что скрипт в run-файле спутника, хочет sudo:
https://forum.altlinux.org/index.php?topic=45017.msg359951#msg359951
Или распаковывайте run и переписывайте скрипт без sudo.

Скачать run для альт:
https://sputnik-lab.com/downloads

Раскомментировать строку
# grep '^ WHEEL_USERS' /etc/sudoers
 WHEEL_USERS ALL=(ALL) ALL

Открыть в терминале новую вкладку.
Выполнить:
$ sudo apt-get update
$ sudo apt-get install menu
$ sudo /bin/sh ./web-installer-5.3.5437.0.run
« Последнее редактирование: 01.08.2021 07:54:01 от Speccyfighter »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
[0801/072139.740295:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
Чтение списков пакетов... Завершено

После установки спутника и запуска:
$ ll /opt/sputnik-browser/config.dat
-rw-rw-rw- 1 root root 234 авг  1 08:16 /opt/sputnik-browser/config.dat
$ file /opt/sputnik-browser/config.dat
/opt/sputnik-browser/config.dat: raw G3 data, byte-padded

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Здравствуйте!
Версия позиционируется как для Альт 9.
Выдаются ошибки.

Очистка / удаление...
1: sputnik-browser-stable-4.4.4284.0-1  ################################# [100%]
Завершено.
[0530/015837.697928:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
....
[0530/020759.451560:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!

:-) Угу.
Всё просто, как два байта переслать:

Установка спутника в лайве alt-p10-xfce-sysv-x86_64
$ sudo /bin/sh ../web-installer-5.3.5437.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия menu уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 8 не будет обновлено.
[0801/162453.917108:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано sputnik-browser-stable для '/tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm'
Следующие НОВЫЕ пакеты будут установлены:
  sputnik-browser-stable
0 будет обновлено, 1 новых установлено, 0 пакетов будет удалено и 8 не будет обновлено.
Необходимо получить 0B/69,3MB архивов.
После распаковки потребуется дополнительно 225MB дискового пространства.
Совершаем изменения... 
Подготовка...                           ################################# [100%]
Обновление / установка...
1: sputnik-browser-stable-5.3.5437.0-1  ################################# [100%]
Start sputnik_client.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client.timer → /lib/systemd/system/sputnik_client.timer.
Unit /lib/systemd/system/sputnik_client.timer is added as a dependency to a non-existent unit timers.target.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Start sputnik_client_check.timer
Created symlink /etc/systemd/system/timers.target.wants/sputnik_client_check.timer → /lib/systemd/system/sputnik_client_check.timer.
Unit /lib/systemd/system/sputnik_client_check.timer is added as a dependency to a non-existent unit timers.target.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Завершено.
$ rpm -ql sputnik-browser-stable | grep config.dat
/opt/sputnik-browser/config.dat

...
Uncompressing web-installer  100% 
Client "sputnik_client"
...
[0801/162453.917108:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
...

:-) А с какого перепугу на первой установке он этот config.dat должен быть, если rpm-пакет ещё не установлен?
:-) Привет из реальности:
Установка rpm-пакета начнётся 10-ю строками вывода ниже сообщения об отсутствии config.dat.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
Выполнять 'apt-get update' перед установкой браузера спутник из run-файла, обязательно, - установка пакета menu выполняется без обновления локальной базы пакетов:
$ cat ./install.sh
#!/bin/bash
sudo apt-get install -y menu
sudo /opt/sputniklab/sputnikclient/bin/sputnik_client --AppID=browser-b2c-alt9-id --Channel=b2c-common --RemoteConfigurationServerUrl=https://sputnik-lab.com/api-config/settings/get --CompanyID=sputnik-lab-b2c-common --BrandCode=SPTK --force-uninstall --auto-import

Но по-идее, этот скрипт из run-файла web-установщика, должен быть таким:
#!/bin/bash
sudo apt-get update
sudo apt-get install -y menu
sudo /opt/sputniklab/sputnikclient/bin/sputnik_client --AppID=browser-b2c-alt9-id --Channel=b2c-common --RemoteConfigurationServerUrl=https://sputnik-lab.com/api-config/settings/get --CompanyID=sputnik-lab-b2c-common --BrandCode=SPTK --force-uninstall --auto-import

Откуда обычному пользователю знать, что перед запуском на выполнение *.run, нужно ещё и руками локальную базу rpm пакетов обновить.
« Последнее редактирование: 01.08.2021 19:11:00 от Speccyfighter »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
И установщик не оставляет rpm-пакет:
...
Выбрано sputnik-browser-stable для '/tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm'
Следующие НОВЫЕ пакеты будут установлены:
  sputnik-browser-stable
0 будет обновлено, 1 новых установлено, 0 пакетов будет удалено и 8 не будет обновлено.
Необходимо получить 0B/69,3MB архивов.
После распаковки потребуется дополнительно 225MB дискового пространства.
Совершаем изменения... 
Подготовка...                           ################################# [100%]
Обновление / установка...
1: sputnik-browser-stable-5.3.5437.0-1  ################################# [100%]
Start sputnik_client.timer
...

Он его удаляет из tmp, сразу же после установки rpm-пакета:
# rpm -qp /tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm
ошибка: невозможно открыть /tmp/.private/root/sputnik-browser-stable-5.3.5437.0-1.x86_64.rpm: Нет такого файла или каталога

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 741
На новой установке спутника, при уже установленном браузере, сообщение повторится:
Configuration file "/opt/sputnik-browser/config.dat" is not exist!

"Секрет" сего казуса в том, что на повторной установке спутника при уже установленном браузере, сначала rpm пакет браузера удаляется из системы, а затем идёт проверка наличия /opt/sputnik-browser/config.dat (что само по себе нонсенс) и лишь потом следует скачивание rpm-пакета и его установка (см. полный вывод выше), - сломан правильный алгоритм последовательности:
$ sudo /bin/sh ./web-installer-5.3.5437.0.run
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing web-installer  100% 
Client "sputnik_client"
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия menu уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 8 не будет обновлено.
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие пакеты будут УДАЛЕНЫ:
  sputnik-browser-stable
0 будет обновлено, 0 новых установлено, 1 пакетов будет удалено и 8 не будет обновлено.
Необходимо получить 0B архивов.
После распаковки будет освобождено 225MB дискового пространства.
Совершаем изменения...
Подготовка...                           ################################# [100%]
Stop sputnik_client.timer
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Removed /etc/systemd/system/timers.target.wants/sputnik_client.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Stop sputnik_client_check.timer
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Removed /etc/systemd/system/timers.target.wants/sputnik_client_check.timer.
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
System has not been booted with systemd as init system (PID 1). Can't operate.
Failed to connect to bus: Узел выключен
Create sputnik directory
Очистка / удаление...
1: sputnik-browser-stable-5.3.5437.0-1  ################################# [100%]
Завершено.
[0801/203014.511986:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
^CSignal caught, cleaning up
$ rpm -q sputnik-browser-stable
пакет sputnik-browser-stable не установлен

Такой алгоритм противоречит здравой логике (переустановка браузера спутник):
$ sudo /bin/sh ./web-installer-5.3.5437.0.run
...
Следующие пакеты будут УДАЛЕНЫ:
  sputnik-browser-stable
0 будет обновлено, 0 новых установлено, 1 пакетов будет удалено и 8 не будет обновлено.
Необходимо получить 0B архивов.
После распаковки будет освобождено 225MB дискового пространства.
Совершаем изменения...
Подготовка...                           ################################# [100%]
...
Create sputnik directory
Очистка / удаление...
1: sputnik-browser-stable-5.3.5437.0-1  ################################# [100%]
Завершено.
[0801/204237.218061:ERROR:sputnik_environment.cc(1246)] Configuration file "/opt/sputnik-browser/config.dat" is not exist!
Чтение списков пакетов... Завершено
...
Следующие НОВЫЕ пакеты будут установлены:
  sputnik-browser-stable
0 будет обновлено, 1 новых установлено, 0 пакетов будет удалено и 8 не будет обновлено.
Необходимо получить 0B/69,3MB архивов.
После распаковки потребуется дополнительно 225MB дискового пространства.
Совершаем изменения... 
Подготовка...                           ################################# [100%]
Обновление / установка...
1: sputnik-browser-stable-5.3.5437.0-1  ################################# [100%]
...

Очевидно, что при таком алгоритме, ошибка предсказуема.
Потому что при удалённом или ещё не установленном rpm-пакете, файла config.dat нет и быть не может:
$ rpm -qvl sputnik-browser-stable | grep config.dat
-rw-rw-rw-    1 root    root                     1880 мая 12 20:02 /opt/sputnik-browser/config.dat